Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffPlan

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlan

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffPlan extends IdTitle implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TariffPlan.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Integer>`
  `filterContractLabel`
  `protected int`
  `filterFace`
  `protected String`
  `filterMask`
  `protected boolean`
  `used`
  `protected boolean`
  `useTitleInWeb`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffPlan()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TariffPlan.Builder`
  `builder()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Preferences`
  `getConfigPreferences()`
  `String`
  `getDescription()`
  `List<Integer>`
  `getFilterContractLabelIds()`
  `int`
  `getFilterFace()`
  `String`
  `getFilterMask()`
  `String`
  `getTitleWeb()`
  `boolean`
  `isUsed()`
  `boolean`
  `isUseTitleInWeb()`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setDescription(String description)`
  `void`
  `setFilterContractLabelIds(List<Integer> filterContractLabel)`
  `void`
  `setFilterFace(int filterFace)`
  `void`
  `setFilterMask(String filterMask)`
  `void`
  `setTitleWeb(String titleWeb)`
  `void`
  `setUsed(boolean used)`
  `void`
  `setUseTitleInWeb(boolean useTitleInWeb)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### filterContractLabel

    protected List<Integer> filterContractLabel

  - ### filterFace

    protected int filterFace

  - ### filterMask

    protected String filterMask

  - ### used

    protected boolean used

  - ### useTitleInWeb

    protected boolean useTitleInWeb

- ## Constructor Details

  - ### TariffPlan

    public TariffPlan()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getConfig

    public String getConfig()

  - ### getConfigPreferences

    public Preferences getConfigPreferences()

  - ### getDescription

    public String getDescription()

  - ### getFilterContractLabelIds

    public List<Integer> getFilterContractLabelIds()

  - ### getFilterFace

    public int getFilterFace()

  - ### getFilterMask

    public String getFilterMask()

  - ### getTitleWeb

    public String getTitleWeb()

  - ### isUsed

    public boolean isUsed()

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setComment

    public void setComment(String comment)

  - ### setConfig

    public void setConfig(String config)

  - ### setDescription

    public void setDescription(String description)

  - ### setFilterContractLabelIds

    public void setFilterContractLabelIds(List<Integer> filterContractLabel)

  - ### setFilterFace

    public void setFilterFace(int filterFace)

  - ### setFilterMask

    public void setFilterMask(String filterMask)

  - ### setTitleWeb

    public void setTitleWeb(String titleWeb)

  - ### setUsed

    public void setUsed(boolean used)

  - ### setUseTitleInWeb

    public void setUseTitleInWeb(boolean useTitleInWeb)

  - ### builder

    public static TariffPlan.Builder builder()